@import '../../styles/variables';
@import '../../styles/mixins';

.cui-tabs {
  display: flex;
  flex-direction: column;

  .tabs-header {
    display: flex;
    height: $cui-tab-label-height;
  }

  .tab-label[data-cui-size] {
    height: $cui-tab-label-height;
    min-width: $cui-tab-label-height;
    border-radius: 0;
    flex: 0 0 auto;

    &.cdk-program-focused,
    &.cdk-keyboard-focused {
      box-shadow: 0 0 0 2px inset $cui-focus-color;
    }
  }

  &[data-cui-align='justify'] {
    .tab-label {
      flex: 1 0 auto;
    }
  }

  &[data-cui-align='center'] {
    .tabs-header {
      justify-content: center;
    }
  }

  .tab-border {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    background: cui-color(primary, text);
    height: $cui-tab-label-bar-height;
  }

  .tabs-body {
    flex: 1 1 auto;
    overflow-y: auto;
  }
}
